<?php
/* -*- php -*- ****************************************************************
 *
 *  System        : 
 *  Module        : 
 *  Object Name   : $RCSfile$
 *  Revision      : $Revision$
 *  Date          : $Date$
 *  Author        : $Author$
 *  Created By    : Robert Heller
 *  Created       : Thu Feb 24 11:57:31 2022
 *  Last Modified : <220323.1154>
 *
 *  Description	
 *
 *  Notes
 *
 *  History
 *	
 ****************************************************************************
 *
 *    Copyright (C) 2022  Robert Heller D/B/A Deepwoods Software
 *			51 Locke Hill Road
 *			Wendell, MA 01379-9728
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * 
 *
 ****************************************************************************/

class CountryRobot_WooCommerce {
  function __construct ( $args = "" ) {
    add_action( 'after_setup_theme', array($this,'_setup'));
    add_action( 'wp_enqueue_scripts', array($this,'_scripts'));
    add_filter( 'woocommerce_enqueue_styles', '__return_empty_array' );
  }
  function _setup() {
    add_theme_support( 'woocommerce' , 
                      array('thumbnail_image_width' => 150,
                            'single_image_width'    => 300,
                            'product_grid'          => 
                            array('default_rows'    => 3,
                                  'min_rows'        => 2,
                                  'max_rows'        => 8,
                                  'default_columns' => 4,
                                  'min_columns'     => 2,
                                  'max_columns'     => 5,
                                  ),
                            'product_blocks'        =>
                            array('default_columns' => 4,
                                  'default_rows'    => 3,
                                  'min_columns'     => 2,
                                  'max_columns'     => 5,
                                  'min_rows'        => 2,
                                  'max_rows'        => 8,
                                  ),
                            'featured_block'        =>
                            array('default_height'  => 300,
                                  'min_height'      => 300,
                                  ),
                            ));
    add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-lightbox' );
    add_theme_support( 'wc-product-gallery-slider' );
    
  }
  function _scripts () {
    wp_enqueue_style( 'country-robot-woocommerce-overrides', get_template_directory_uri() . '/woocommerce-overrides.css' );
  }
}

if ( class_exists( 'WooCommerce' ) ) {
  new CountryRobot_WooCommerce();
}

